declare const _sfc_main: import("vue").DefineComponent<{
    title: {
        type: StringConstructor;
        default: string;
    };
    type: {
        type: StringConstructor;
        default: string;
    };
}, {
    onCheckboxChange: (event: any, index: number) => void;
    onDropEnd: (index: string) => void;
    onDragItemEnd: () => void;
    onDragItemAdd: (e: any) => void;
    onDragItemSort: (event: any) => void;
    onDragItemStart: (event: any, dataViews: {
        [key: string]: any;
    }[]) => void;
    cardItemList: import("vue").ComputedRef<any>;
    onDelete: (index: number) => void;
    onEdit: (index: number) => void;
    onCommitLabelChange: (event: Event, index: number, oldLabel: string) => void;
    sortList: import("vue").ComputedRef<any[]>;
    onSort: (item: {
        [key: string]: any;
    }, index: number, order?: 'ASC' | 'DESC') => void;
    handleSortTitle: (item?: {
        [key: string]: any;
    }, type?: 'ASC' | 'DESC') => string;
    showCustomSortModal: (item: {
        [key: string]: any;
    }, index: number) => void;
    customSortModalRef: import("vue").Ref<any>;
    currentItem: import("vue").Ref<any>;
    currentIndex: import("vue").Ref<any>;
    handleCustomSortTitle: (item: {
        [key: string]: any;
    }) => string;
    handleCustomGroupTitle: (item: {
        [key: string]: any;
    }) => string;
    customGroupModalRef: import("vue").Ref<any>;
    showCustomGroupModal: (item: {
        [key: string]: any;
    }, index: number) => void;
    editLabelList: import("vue").Ref<boolean[]>;
    onLabelChange: () => void;
    aggregateList: {
        name: string;
        value: string;
    }[];
    distinctList: {
        name: string;
        value: number;
    }[];
    onAggregateChange: (value: string, index: number) => void;
    onDistinctChange: (value: number, index: number) => void;
    onDateFormatChange: (value: string, index: number) => void;
    handleAggregateTitle: (key?: 'SUM' | 'AVG' | 'MIN' | 'MAX' | 'COUNT') => string;
    handleDistinctTitle: (key: 0 | 1) => string;
    onShowCalculationModal: (mode: 'add' | 'edit', item?: {
        [key: string]: any;
    }, index?: number) => void;
    handleFilterTitle: (item?: {
        [key: string]: any;
    }) => string;
    filterModalRef: import("vue").Ref<any>;
    configNameRef: import("vue").Ref<any>;
    sortByCpntRef: import("vue").Ref<any>;
    dimByCountRef: import("vue").Ref<any>;
    showFilterModal: (item: {
        [key: string]: any;
    }, index: number) => void;
    calculationModalRef: import("vue").Ref<any>;
    calculationModalMode: import("vue").Ref<"add" | "edit">;
    formatList: {
        label: string;
        value: string;
    }[];
    fieldOptions: import("vue").Ref<any[]>;
    fieldData: import("vue").ComputedRef<any>;
    onFieldChange: (value: any, type: string) => void;
    onVisibleChange: (visible: boolean, cardItem: any) => Promise<void>;
    onClickSetting: (cardItem: any) => void;
    copyDataViewName: (text: string) => void;
    dataViewMap: import("vue").Ref<{}>;
    isShowConfigName: import("vue").ComputedRef<boolean>;
    showConfigNameModal: (item: {
        [key: string]: any;
    }, index: number) => void;
    dimensionType: string[];
    isShowSortByCpnt: import("vue").ComputedRef<boolean>;
    showSortByCpntModal: (item: {
        [key: string]: any;
    }, index: number) => void;
    dataSelectIndicators: import("vue").ComputedRef<boolean>;
    showDimByCountModal: (item: {
        [key: string]: any;
    }, index: number) => void;
    selectedComponent: any;
    lowerCaseIncludes: any;
    isShowCalcBtn: import("vue").ComputedRef<boolean>;
    isIndexSet: import("vue").ComputedRef<any>;
    indexSetList: string[];
    compositeIndicator: import("vue").WritableComputedRef<any>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        type: StringConstructor;
        default: string;
    };
    type: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    type: string;
    title: string;
}, {}>;
export default _sfc_main;
